# This is a BitKeeper generated patch for the following project:
# Project Name: Linux kernel tree
# This patch format is intended for GNU patch command version 2.5 or higher.
# This patch includes the following deltas:
#	           ChangeSet	1.738   -> 1.739  
#	drivers/hotplug/cpqphp_pci.c	1.1     -> 1.2    
#
# The following is the BitKeeper ChangeSet Log
# --------------------------------------------
# 02/10/10	Dan.Zink@hp.com	1.739
# [PATCH] Compaq PCI Hotplug bug fix 2
# 
# Your patch may fix the issue, but I think there is an
# easier way.  I found another bug that was preventing the
# existing scheme from working.  It looks like the function
# "pcibios_set_irq_routing" is returning 1 for success, but
# the hot plug driver was interpreting it as failure.
# 
# The attached 2 line patch fixes it for me.  I am able to
# add an Intel NIC on an ML370 G2 and receive interrupts from
# it.
# --------------------------------------------
#
diff -Nru a/drivers/hotplug/cpqphp_pci.c b/drivers/hotplug/cpqphp_pci.c
--- a/drivers/hotplug/cpqphp_pci.c	Thu Oct 10 14:44:42 2002
+++ b/drivers/hotplug/cpqphp_pci.c	Thu Oct 10 14:44:42 2002
@@ -358,8 +358,8 @@
 	    dev_num, bus_num, int_pin, irq_num);
 	rc = pcibios_set_irq_routing(&fakedev, int_pin - 0x0a, irq_num);
 	dbg(__FUNCTION__":rc %d\n", rc);
-	if (rc)
-		return rc;
+	if (!rc)
+		return !rc;
 
 	// set the Edge Level Control Register (ELCR)
 	temp_word = inb(0x4d0);
